Bug 511955 - KVM based Guest Virtual Machine shut-down automatically
KVM based Guest Virtual Machine shut-down automatically
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-15 15:18 EDT by ali
Modified: 2009-10-09 05:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 05:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ali 2009-07-15 15:18:09 EDT
Description of problem:
KVM based Guest Virtual Machine shut-down automatically

Version-Release number of selected component (if applicable):
kvm-74-10.fc10.x86_64

How reproducible:
It happen after 8 to 48 hours after running VM

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I got following in logs
Jul 12 05:01:43 huplo kernel: qemu-kvm[2651]: segfault at 284 ip 0000000000433bdf sp 00007fffbbaf4c70 error 4 in qemu-kvm[400000+193000]
Comment 1 Glauber Costa 2009-07-15 15:21:52 EDT
Please include at least a gdb backtrace.

you can attack gdb to the running pid of qemu-kvm, and whenever it crashes, do a 'bt'

otherwise it gets quite hard to even imagine what can be going on

thanks!
Comment 2 ali 2009-07-15 15:54:41 EDT
Well, This is a production box and have approx.10 Virtual Machines. At time the load is little high, KVM shut-down top VM and rest of machines got up and works normally. From logs i got the only error which I posted above. 

This simply means kvm dont crash completely. Plz let me know if still gdb backtrace works ?? then i can made available for you when i face the problem again on my box.


Regards
Comment 3 Glauber Costa 2009-07-20 11:28:05 EDT
backtracing in gdb should indeed work.
you are getting a SIGSEGV after all.

Also, please post the contents or /var/log/libvirt/qemu/<machine>.log
Comment 4 ali 2009-07-28 09:08:06 EDT
Right, after increasing RAM my VM is not shutting down now. I will submit the backtracing if i got the problem back on my box.
Comment 5 Mark McLoughlin 2009-08-07 10:58:12 EDT
ali: are you using an IDE or SCSI drive for the guest?

See also bug #512380
Comment 6 Mohammad Mateen 2009-10-02 07:09:26 EDT
I am getting the same problem 

Oct  2 10:02:08 kaloo kernel: qemu-kvm[3037]: segfault at 26c ip 0807dc67 sp bf9f2d90 error 4 in qemu-kvm (deleted)[8047000+175000]

I am using normal Sata. like https://bugzilla.redhat.com/show_bug.cgi?id=512380 i am getting nothing from bt as vm got shutdown and process terminats.

(gdb) bt
No stack.


Any info ? any fix ?
Comment 7 Mohammad Mateen 2009-10-02 08:57:49 EDT
Sorry i am using IDE with virtio driver.

----------------
02:00.0 IDE interface: Marvell Technology Group Ltd. 88SE6101 single-port PATA133 interface (rev b1)
----------------
Comment 8 Mohammad Mateen 2009-10-02 09:01:31 EDT
here are my log contents.

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin /usr/bin/qemu-kvm -S -M pc -m 200 -smp 1 -name kaloo -nographic -monitor pty -boot c -drive file=/dev/vmdata/vm6.root,if=ide,index=0,boot=on -drive file=/dev/vmdata/vm6.var,if=ide,index=1 -drive file=/dev/vmdata/vm6.swap,if=ide,index=3 -net nic,macaddr=52:54:00:28:66:21,vlan=0,model=virtio -net tap,ifname=tap6,script=/etc/KVM/kaloo_tap6.sh,vlan=0 -serial pty -parallel none -usb 
TUNSETIFF: Device or resource busy
char device redirected to /dev/pts/12
char device redirected to /dev/pts/13
info cpus


Regards, Mateen
Comment 9 Mark McLoughlin 2009-10-09 05:53:45 EDT
mateen: this bug is against kvm in Fedora 10; please file a new bug for your issue

It looks like your problem is something wrong with your kaloo_tap6.sh script - the TUNSETIFF error is probably caused by the script

I'm closing this bug because the reporter isn't seeing the problem anymore

Note You need to log in before you can comment on or make changes to this bug.